#
# spec file for package coreutils (Version 5.93)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip help2man info insserv klogd less libacl libacl-devel libattr libattr-devel libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           coreutils
BuildRequires:  help2man libacl-devel pam-devel
URL:            http://www.gnu.org/software/coreutils/
License:        GPL
Group:          System/Base
Provides:       fileutil fileutils sh-utils sh_utils shellutl stat textutil textutils textutl txtutils
Obsoletes:      fileutil fileutils sh-utils sh_utils stat textutil textutils
Obsoletes:      libselinux <= 1.23.11-3
Obsoletes:      libselinux-32bit >= 9
Obsoletes:      libselinux-64bit = 9
Obsoletes:      libselinux-x86 = 9
Autoreqprov:    on
PreReq:         %{install_info_prereq}
Version:        5.93
Release:        22.2
Summary:        GNU Core Utilities
Source:         coreutils-%{version}.tar.bz2
Source1:        su.pamd
Source2:        su.default
Patch:          coreutils-%{version}.diff
Patch1:         coreutils-acl.diff
Patch2:         coreutils-acl+posix.diff
Patch3:         coreutils-xattr.diff
Patch31:        coreutils-xattr-va-list.diff
Patch30:        coreutils-changelog.diff
Patch4:         coreutils-5.3.0-i18n-0.1.patch
Patch5:         i18n-uninit.diff
Patch6:         i18n-infloop.diff
Patch7:         coreutils-5.0-pam-env.patch
Patch8:         coreutils-sysinfo.diff
Patch16:        invalid-ids.diff
Patch17:        no-no.diff
Patch20:        coreutils-5.3.0-pie.diff
Patch21:        coreutils-5.3.0-sbin4su.diff
Patch22:        coreutils-5.93-de.diff
Patch23:        coreutils-5.93-futimesat.diff
Patch24:        stat-print-newline.diff
Patch25:        cp-RL-dir-check.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Basic file, shell, and text manipulation utilities.  The package
contains the following programs:

basename cat chgrp chmod chown chroot cksum comm cp csplit cut date dd
df dir dircolors dirname du echo env expand expr factor false fmt fold
install groups head id join kill link ln logname ls md5sum mkdir mkfifo
mknod mv nice nl nohup od paste pathchk pinky pr printenv printf ptx
pwd readlink rm rmdir seq sha1sum shred sleep sort split stat stty su
sum sync tac tail tee test touch tr true tsort tty uname unexpand uniq
unlink uptime users vdir wc who whoami yes



Authors:
--------
    Arnold Robbins <arnold@audiofax.com>
    Colin Plumb <colin@nyx.net>
    David M. Ihnat
    David MacKenzie <djm@gnu.org>
    Franois Pinard <pinard@iro.umontreal.ca>
    H. Peter Anvin <hpa@transmeta.com>
    Ian Lance Taylor <ian@airs.com>
    Jay Lepreau <lepreau@cs.utah.edu>
    Jim Kingdon
    Jim Meyering <jim@meyering.net>
    Joseph Arceneaux
    Kaveh Ghazi
    Kayvan Aghaiepour
    Larry McVoy <lm@sgi.com>
    Mark Kettenis <kettenis@phys.uva.nl>
    Michael Meskes
    Michael Stone <mstone@debian.org>
    Mike Haertel
    Mike Parker
    Paul Eggert <eggert@twinsun.com>
    Paul Rubin <phr@ocf.berkeley.edu>
    Pete TerMaat
    Randy Smith
    Richard M. Stallman <rms@gnu.org>
    Richard Mlynarik
    Roland Huebner <ro-huebner@gmx.de>
    Roland McGrath <roland@redhat.com>
    Ross Paterson <rap@doc.ic.ac.uk>
    Scott Bartram
    Scott Miller
    Stuart Kemp <skemp@peter.bmc.com>
    Torbjorn Granlund <tege@nada.kth.se>
    Ulrich Drepper <drepper@redhat.com>

%debug_package
%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch31
%patch4 -p1
%patch5
%patch6
%patch
%patch7 -p1
%patch8 -p1
%patch16 -p1
%patch17
%patch20
%patch21
%patch23
%patch24 -R
%patch25
chmod +x tests/cp/cp-deref
# German translation (also see build section for rebuilding .gmo)
%patch22 -p1
rm -f po/no.*

%build
%{suse_update_config -f}
for f in glibc21 inttypes inttypes_h longlong stdint_h uintmax_t ulonglong; do
  mv m4/$f.m4 m4/$f-gnulib.m4
done
autoreconf --force --install
./configure CFLAGS="-DUSE_PAM $RPM_OPT_FLAGS -Wall" \
  	    DEFAULT_POSIX2_VERSION=199209 \
	    --prefix=%{_prefix} --mandir=%{_mandir} \
	    --infodir=%{_infodir} --without-included-regex
test -f /proc/uptime || { echo "/proc not mounted!" >&2; exit 1; }
make PAMLIBS="-lpam -ldl" %{?jobs:-j%jobs}
# rebuild German translation file (see patch22)
[ -x /usr/bin/msgfmt ] && make -C po de.gmo
if test $EUID -eq 0; then
  su nobody -c make check
  make check-root VERBOSE=yes
else
%ifarch %arm
  make -k check VERBOSE=yes || echo make check failed
%else
  make check VERBOSE=yes
%endif
fi

%install
make DESTDIR="$RPM_BUILD_ROOT" install
test -f $RPM_BUILD_ROOT%{_bindir}/su || \
  install src/su $RPM_BUILD_ROOT%{_bindir}/su
install -d $RPM_BUILD_ROOT/bin
rm -f bin.files
for i in basename cat chgrp chmod chown cp date dd df echo false kill ln ls mkdir mknod mv pwd rm rmdir sleep sort stty su sync touch true uname
do
	mv $RPM_BUILD_ROOT%{_bindir}/$i $RPM_BUILD_ROOT/bin/$i
	test $i = su && echo '%%attr(4755,root,root)' >> bin.files
	echo /bin/$i >> bin.files
done
ln -sf ../../bin/basename ../../bin/sort ../../bin/touch $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 $RPM_SOURCE_DIR/su.pamd $RPM_BUILD_ROOT/etc/pam.d/su
install -d -m 755 $RPM_BUILD_ROOT/etc/default
install -m 644 $RPM_SOURCE_DIR/su.default $RPM_BUILD_ROOT/etc/default/su
install -d $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
ln -sf /bin/su $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/sux
rm -f $RPM_BUILD_ROOT%{_bindir}/hostid
rm -f $RPM_BUILD_ROOT%{_bindir}/hostname
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/hostid.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/hostname.1
rm -rf $RPM_BUILD_ROOT/%{_prefix}/share/locale/*/LC_TIME/coreutils.mo

%post
%install_info --info-dir=%{_infodir} %{_infodir}/coreutils.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/coreutils.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files -f bin.files
%defattr(-,root,root)
%doc README NEWS
%config /etc/pam.d/su
%config(noreplace) /etc/default/su
%{_bindir}/*
%{_prefix}/X11R6/bin/sux
%doc %{_infodir}/coreutils.info*.gz
%{_prefix}/share/locale/*/LC_MESSAGES/coreutils.mo
%doc %{_mandir}/man1/*.1.gz

%changelog -n coreutils
* Fri Apr 07 2006 - cthiel@suse.de
- added Obsoletes: libselinux (hack for bug #156519)
* Mon Feb 13 2006 - schwab@suse.de
- Fix spurious failure with cp -LR.
- Move check for /proc.
* Mon Jan 30 2006 - schwab@suse.de
- Always print newline after format in stat [#145905].
- Barf if /proc is not mounted.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - meissner@suse.de
- Do not strip /bin/su.
* Wed Jan 11 2006 - schwab@suse.de
- Fix infloop when ignoring characters [#141756].
* Mon Dec 19 2005 - kukuk@suse.de
- Add fallback if futimesat does not work
* Mon Dec 05 2005 - ke@suse.de
- Fix typo in German translation file; reported by Olaf Hering
  [#105863].
* Mon Dec 05 2005 - schwab@suse.de
- Drop SELinux support.
* Tue Nov 15 2005 - uli@suse.de
- some tests fail on ARM (QEMU problem?); ignore for now
* Sun Nov 06 2005 - schwab@suse.de
- Update to coreutils 5.93.
* Wed Nov 02 2005 - schwab@suse.de
- Update to coreutils 5.92.
- Fix invalid use of va_list.
- Add some fixes from cvs.
* Thu Oct 20 2005 - schwab@suse.de
- Reenable DEFAULT_POSIX2_VERSION.
* Wed Oct 19 2005 - agruen@suse.de
- Add acl and xattr patches.
* Mon Oct 17 2005 - schwab@suse.de
- Update to coreutils 5.91.
* Sat Oct 01 2005 - schwab@suse.de
- Update to coreutils 5.90.
- Disable acl patches for now.
* Sun Sep 25 2005 - schwab@suse.de
- Fix warning.
* Wed Aug 24 2005 - werner@suse.de
- Let `su' handle /sbin and /usr/sbin in path
* Mon Aug 01 2005 - kukuk@suse.de
- And yet another uninitialized variable fix.
* Fri Jul 29 2005 - schwab@suse.de
- Fix another uninitialized variable.
* Wed Jul 06 2005 - schwab@suse.de
- Fix uninitialized variable.
* Mon Jul 04 2005 - schwab@suse.de
- Update i18n patch.
* Mon Jun 20 2005 - schwab@suse.de
- Fix last change.
* Wed Jun 15 2005 - kukuk@suse.de
- Compile/link su with -fpie/-pie
* Sat May 21 2005 - kukuk@suse.de
- Add support for /etc/default/su
* Mon May 02 2005 - kukuk@suse.de
- Don't overwrite PATH if su is called with "-" option.
* Wed Mar 02 2005 - schwab@suse.de
- Fix merge error [#67103].
* Mon Feb 28 2005 - schwab@suse.de
- Call pam_getenvlist before pam_end.
* Mon Feb 28 2005 - schwab@suse.de
- Link su to sux [#66830].
* Wed Feb 02 2005 - schwab@suse.de
- Handle xfs and jfs in stat [#50415].
* Wed Feb 02 2005 - schwab@suse.de
- Handle subfs like autofs.
* Tue Jan 25 2005 - schwab@suse.de
- Fix path_concat.
* Thu Jan 20 2005 - schwab@suse.de
- Use pam_xauth [#42238].
* Fri Jan 14 2005 - schwab@suse.de
- Fix merge error [#49853].
* Tue Jan 11 2005 - schwab@suse.de
- Update to coreutils 5.3.0.
* Mon Nov 08 2004 - kukuk@suse.de
- Use common-* PAM config files for su PAM configuration
* Mon Oct 25 2004 - schwab@suse.de
- Fix last change.
- Fix selinux patch.
* Wed Oct 20 2004 - ro@suse.de
- remove no language support (nb is already there)
* Sat Oct 02 2004 - agruen@suse.de
- #46609: Fix chown and chgrp utilities for uid == (uid_t) -1 and
  gid == (gid_t) -1 case.
- Add missing #include to have NULL defined in lib/acl.c
* Fri Sep 10 2004 - schwab@suse.de
- Fix uninitialized variable [#44929].
- Fix selinux patch.
* Wed Aug 25 2004 - schwab@suse.de
- Fix hardlink accounting patch.
* Mon May 24 2004 - schwab@suse.de
- Update testsuite for change in chown.
* Mon May 24 2004 - schwab@suse.de
- Precompute length in caller of ismbblank to avoid quadratic behaviour
  [#40741].
* Mon May 17 2004 - schwab@suse.de
- Fix handling of symlinks in chown [#40691].
* Sat Apr 17 2004 - schwab@suse.de
- Pacify autobuild.
* Fri Apr 02 2004 - schwab@suse.de
- Add support for IUTF8 in stty.
* Tue Mar 30 2004 - schwab@suse.de
- Fix merge error in selinux patch [#37431].
* Mon Mar 29 2004 - schwab@suse.de
- Fix hardlink accounting in du.
* Mon Mar 22 2004 - schwab@suse.de
- Fix race in the testsuite.
* Mon Mar 15 2004 - kukuk@suse.de
- Update SELinux patch to new libselinux interface
* Mon Mar 15 2004 - schwab@suse.de
- Fix date parsing.
* Sat Mar 13 2004 - schwab@suse.de
- Update to coreutils 5.2.1.
  * Includes mv fix.
  * Fix sparse handling in cp.
  * Fix descriptor leak in nohup.
  * Fix POSIX issues in expr.
  * Always allow user.group in chown.
* Fri Mar 12 2004 - schwab@suse.de
- Fix sysinfo patch [#35337].
* Fri Mar 12 2004 - schwab@suse.de
- Fix preserving links in mv.
* Wed Mar 03 2004 - schwab@suse.de
- Fix help output from mkdir.
* Fri Feb 20 2004 - schwab@suse.de
- Update to coreutils 5.2.0.
* Mon Feb 09 2004 - schwab@suse.de
- Update to coreutils 5.1.3.
* Mon Feb 02 2004 - agruen@suse.de
- Update acl and xattr patches, and add some Changelog text.
* Mon Jan 26 2004 - schwab@suse.de
- Update to coreutils 5.1.2.
* Fri Jan 23 2004 - schwab@suse.de
- Don't link [ to test.
* Mon Jan 19 2004 - schwab@suse.de
- Update to coreutils 5.1.1.
- Default to POSIX.2-1992.
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Fri Jan 09 2004 - schwab@suse.de
- Fix spurious test failure.
* Thu Jan 08 2004 - schwab@suse.de
- Update to coreutils 5.1.0.
* Fri Dec 12 2003 - schwab@suse.de
- Fix use of AC_SEARCH_LIBS.
* Tue Dec 09 2003 - schwab@suse.de
- Cleanup SELinux patch.
* Tue Dec 09 2003 - kukuk@suse.de
- Add SELinux patch.
* Wed Nov 26 2003 - schwab@suse.de
- Fix sorting of months in multibyte case [#33299].
* Wed Oct 22 2003 - schwab@suse.de
- Fix building without extended attributes.
* Wed Oct 15 2003 - schwab@suse.de
- Cleanup sysinfo patch.
* Fri Sep 19 2003 - kukuk@suse.de
- Add missing textutil to Provides
* Mon Aug 25 2003 - agruen@suse.de
- Fix uname command to report reasonable processor and platform
  information (coreutils-sysinfo.diff: based on similar RedHat
  patch).
* Mon Jul 21 2003 - schwab@suse.de
- Fix typo in i18n patch for join.
* Fri Jul 18 2003 - schwab@suse.de
- Avoid abort in sort on inconsistent locales [#26506].
* Tue Jul 15 2003 - okir@suse.de
- make su export variables declared via pam_putenv
* Wed May 28 2003 - kukuk@suse.de
- PAM fixes for su:
- Move pam_open_session call before dropping privilegs, session
  management needs max. possible credentials and needs to be done
  before we change into the home directory of the user.
- Don't set PAM_TTY and PAM_RUSER to fake names.
- Use conversion function from libpam_misc.
* Fri May 16 2003 - schwab@suse.de
- Fix exit status from su.
* Thu Apr 24 2003 - ro@suse.de
- fix head calling syntax
* Mon Apr 07 2003 - schwab@suse.de
- Only delete info entries when removing last version.
* Fri Apr 04 2003 - schwab@suse.de
- Update to coreutils 5.0.
* Mon Mar 31 2003 - schwab@suse.de
- Update to coreutils 4.5.12.
* Thu Mar 20 2003 - schwab@suse.de
- Update to coreutils 4.5.11.
* Mon Mar 10 2003 - schwab@suse.de
- Fix LFS bug in du [#24960].
* Thu Feb 27 2003 - schwab@suse.de
- Readd textutils i18n patches.
* Thu Feb 27 2003 - agruen@suse.de
- Per hint from Andreas Schwab, don't use awk in autoconf. (The
  improved test is simpler, too.)
* Thu Feb 27 2003 - agruen@suse.de
- Fix autoconf test for attr_copy_file that caused all binaries
  to be linked needlessly against libattr.so.
* Tue Feb 25 2003 - agruen@suse.de
- Extended attribute copying: Use the newly exported
  attr_copy_check_permissions() callback exported by libattr.so,
  so that the EA copying done by coreutils is consistent with
  other apps [#24244].
* Mon Feb 24 2003 - schwab@suse.de
- Update to coreutils 4.5.8.
  * Fixes bugs in du.
* Mon Feb 17 2003 - agruen@suse.de
- Add extended attribute copying patch: Affects cp, mv, install.
  See the cp manual page for details on the changes in cp. The
  mv utility always tries to copy extended attributes; install
  never does.
* Mon Feb 10 2003 - schwab@suse.de
- Update to coreutils 4.5.7.
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so, use same rules for
  password changing as passwd.
* Thu Feb 06 2003 - schwab@suse.de
- Use %%install_info.
* Thu Feb 06 2003 - schwab@suse.de
- Update to coreutils 4.5.6.
* Mon Feb 03 2003 - schwab@suse.de
- Package created, combining textutils, sh-utils and fileutils.
